Archive verification
Get history archive state by URL
Path Parameters
encodedUrl*string
URL of the history archive, URL encoded
Format
uriResponse Body
application/json
curl -X GET "https://example.com/v1/archive-scans/http://example.com/state"{ "archiveUrl": "http://example.com", "archiveUrlIdentity": "string", "stateUrl": "http://example.com", "status": "available", "observedAt": "2019-08-24T14:15:22Z", "source": "backfill", "metadata": { "stellarHistoryUrl": "http://example.com", "observedAt": "2019-08-24T14:15:22Z", "stellarHistory": { "version": 0, "server": "string", "currentLedger": 0, "networkPassphrase": "string", "currentBuckets": [ { "curr": "string", "snap": "string", "next": { "state": 0, "output": "string" } } ], "hotArchiveBuckets": [ { "curr": "string", "snap": "string", "next": { "state": 0, "output": "string" } } ] } }, "failure": { "message": "string", "type": "string", "httpStatus": 0 }, "latestFailure": { "message": "string", "type": "string", "httpStatus": 0, "observedAt": "2019-08-24T14:15:22Z", "source": "backfill" }}